﻿
.contact-box{
    width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    background-color: #f5f5f5;
    box-sizing: border-box;
    padding: 0 10px;
    margin-top: 80px;
    min-height: calc(100vh - 80px);
}
.contact-info-form,
.contact-map-box{
    width: 50%;
    display: inline-block;
    vertical-align: middle;
    box-sizing: border-box;
    padding: 20px 20px;
    min-height: calc(100vh - 510px);
}
.contact-info-form{
    display: inline-flex;
    display: -webkit-inline-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: center;
    -webkit-justify-content: center;
    flex-direction:column;
}
.contact-map-box{
    padding: 0;
    height: 950px;
}
.contact-info-form-title{
    width: 662px;
    display: block;
    margin: 0 auto;
    font-size: 26px;
    font-weight: bold;
    color: #00a4a5;
    letter-spacing: 2px;
    margin-bottom: 30px;
}
.contact-form-list{
    width: 662px;
    display: block;
    margin: 0 auto;
    max-width: 100%;
    margin-bottom: 15px;
}
.contact-form-list-title{
    width: 160px;
    display: inline-block;
    vertical-align: middle;
    line-height: 46px;
    background-color: #fff;
    text-align: center;
    font-size: 16px;
    color: #555;
    letter-spacing: 1px;
    font-weight: lighter;
    font-family: "微軟正黑體";
}
.contact-form-text{
    width: 500px;
    display: inline-block;
    vertical-align: middle;
    line-height: 46px;
    box-sizing: border-box;
    border: none;
    margin-left: 2px;
    padding: 0 10px;
    color: #bbb;
    font-family: "微軟正黑體";
    font-size: 16px;
    letter-spacing: 1px;
}
.contact-form-text::-webkit-input-placeholder,
.contact-form-list-textarea::-webkit-input-placeholder{
    font-family: "微軟正黑體";
    color: #ddd;
    font-weight: lighter;
}
.contact-form-text:-moz-placeholder,
.contact-form-list-textarea:-moz-placeholder{
    font-family: "微軟正黑體";
    color: #ddd;
    font-weight: lighter;
}
.contact-form-text::-moz-placeholder,
.contact-form-list-textarea::-moz-placeholder{
    font-family: "微軟正黑體";
    color: #ddd;
    font-weight: lighter;
}
.contact-form-textarea-box .contact-form-list-title{
    height: 200px;
    display: inline-flex;
    display: -webkit-inline-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: center;
    -webkit-justify-content: center;
    flex-direction:column;
}
.contact-form-list-textarea{
    width: 500px;
    display: inline-block;
    vertical-align: middle;
    line-height: 46px;
    box-sizing: border-box;
    border: none;
    margin-left: 2px;
    padding: 0 10px;
    color: #bbb;
    font-family: "微軟正黑體";
    font-size: 16px;
    letter-spacing: 1px;
    height: 200px;
    outline: none;
    resize: none;
}
.button{
    width: 662px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    margin-top: 40px;
}
.button button{
    display: block;
    width: 160px;
    line-height: 46px;
    font-size: 16px;
    color: #fff;
    letter-spacing: 1px;
    background-color: #00a4a5;
    border: none;
    cursor: pointer;
    transition: all .3s linear;
}
/*--------contact共用-----------*/

.contact-form-list-title span{
    color: #c71313;
}

button{
    font-family: "微軟正黑體","Microsoft JhengHei";
}


/*表單送出*/
.contact-thanks-box{
    width: 100%;
    height: 100vh;
    position: fixed;
    z-index: 999;
    top: 0;
    left: 0;
    display: none;
}
.contact-thanks-box.active{
    -webkit-align-items: center;
    align-items: center;
    -webkit-justify-content: center;
    justify-content: center;
    display: -webkit-flex;
    display: flex;
}
.contact-thanks{
    max-width: 500px;
    min-width: 200px;
    width: 400px;
    padding: 40px 30px;
    box-sizing: border-box;
    background-color: #fff;
    position: relative;
    z-index: 1;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.4);
}
.contact-thanks-p{
    font-size: 16px;
    color: #555;
    transform: scaleY(1.05);
    letter-spacing:  1px;
    line-height: 2;   
}
.contact-out{
    width: 21px;
    height: 21px;
    max-width: 100%;
    display: block;
    position: absolute;
    border-radius: 50%;
    top: 5px;
    right: 5px;
    cursor: pointer;
}
.contact-out span{
    width: 15px;
    height: 1px;
    background-color: #888;
    display: block;
    margin: 0 auto;
    position: relative;
}
.contact-out span:nth-child(1){
    top: 10px;
    left: 0px;
    transform: rotate(45deg);
}
.contact-out span:nth-child(2){
    top: 9px;
    left: 0px;
    transform: rotate(-45deg);
}

/*------------hover-------------*/
.contact-form-text:focus,
.contact-form-list-textarea:focus{
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
}
.button button:hover{
    background-color: #79be3f;
}








@media only screen and (max-width: 1480px){
    .contact-form-text,
    .contact-form-list-textarea{
        width: 380px;
    }
    .contact-form-list,
    .contact-info-form-title,
    .button{
        width: 542px;
    }
}
@media only screen and (max-width: 1200px){
    .contact-form-list-title{
        width: 120px;
    }
    .contact-form-text,
    .contact-form-list-textarea{
        width: 328px;
    }
    .contact-form-list,
    .contact-info-form-title,
    .button{
        width: 450px;
    }
    .contact-map-box{
        height: 750px;
    }
}
@media only screen and (max-width: 1000px){
    .contact-info-form, 
    .contact-map-box{
        display: block;
        width: 100%;
    }
    .contact-map-box{
        height: 450px;
    }
    .contact-form-list-title{
        width: 120px;
    }
    .contact-form-text,
    .contact-form-list-textarea{
        width: calc(100% - 122px);
    }
    .contact-form-list,
    .contact-info-form-title,
    .button{
        width: 100%;
    }
}
@media only screen and (max-width: 750px){
    .contact-info-form-title{
        font-size: 22px;
        margin-bottom: 20px;

    }
    .button button{
        width: 140px;
        line-height: 40px;
    }
    .button{
        margin-top: 20px;
    }
}
@media only screen and (max-width: 550px){
    .contact-info-form-title{
        font-size: 18px;
        margin-bottom: 10px;
    }
    .contact-form-list-title{
        width: 80px;
        font-size: 14px;
        line-height: 36px;
    }
    .contact-form-text,
    .contact-form-list-textarea{
        width: calc(100% - 82px);
        line-height: 36px;
        font-size: 14px;
    }
    .button{
        margin-top: 10px;
    }
    .button button{
        width: 120px;
        line-height: 34px;
        font-size: 14px;
    }
    .contact-map-box{
        height: 250px;
    }
    .contact-form-list-textarea,
    .contact-form-textarea-box .contact-form-list-title{
        height: 100px;
    }
}
@media only screen and (max-width: 480px){

    .contact-thanks, .alert-info{
        width: 95%;
        box-sizing: border-box;
        margin: 0 auto;
    }
    .contact-thanks-p{
        font-size: 20px;
    }
}
@media only screen and (max-width: 400px){
    .contact-info-form-title{
        font-size: 16px;
    }
    .contact-form-list-title,
    .contact-form-text,
    .contact-form-list-textarea{
        font-size: 12px;
    }
    .button button{
        width: 100px;
        line-height: 26px;
    }
    .contact-info-form{
        padding: 10px;
    }
    .contact-form-list{
        margin-bottom: 10px;
    }
}







/*animation*/

@media only screen and (min-width: 1001px){
    .contact-map-box,
    .contact-info-form-title,
    .contact-form-list-title,
    .contact-form-text,
    .contact-form-list-textarea,
    .button{
        opacity: 0;
    }
    .contact-map-box.anima{
        animation: fadeInRight 1s ease 0s 1 both;
    }
    .contact-info-form-title.anima{
        animation: fadeInDown 1s ease 0s 1 both;
    }
    .contact-form-list.anima .contact-form-list-title{
        animation: fadeInLeft 1s ease 0s 1 both;
    }
    .contact-form-list.anima .contact-form-text,
    .contact-form-list.anima .contact-form-list-textarea{
        animation: fade 1s linear 0s 1 both;
    }
    .button.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
}